Package de.willuhn.jameica.hbci.gui.input

# Class UmsatzDaysInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.ScaleInput
de.willuhn.jameica.hbci.gui.input.UmsatzDaysInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class UmsatzDaysInput extends de.willuhn.jameica.gui.input.ScaleInput
Auswahlfeld fuer die Anzahl der anzuzeigenden Tage.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzDaysInput()`
ct.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Control`
`getControl()`
`static final int`
`getDefaultDays()`
Liefert die Anzahl der standardmaessig anzuzeigenden Tage.
`protected int`
`getUndefinedMax()`
Liefert den Max-Wert, ab dem ein Wert von -1 angenommen wird.
`Object`
`getValue()`
Ueberschrieben, damit wir "-1" fuer "Alle Umsaetze" liefern koennen.
`void`
`setRememberSelection(String s)`
Das Auswahlfeld kann sich den letzten Zeitraum merken.
`void`
`setValue(Object value)`

### Methods inherited from class de.willuhn.jameica.gui.input.ScaleInput

`disable, enable, focus, isEnabled, setEnabled, setScaling`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzDaysInput

public UmsatzDaysInput()
ct.

## Method Details

### getUndefinedMax

protected int getUndefinedMax()
Liefert den Max-Wert, ab dem ein Wert von -1 angenommen wird.

Returns:
  der Max-Wert.

### getControl

public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getControl` in class `de.willuhn.jameica.gui.input.ScaleInput`
See Also:
  - `ScaleInput.getControl()`

### setRememberSelection

public void setRememberSelection(String s)
Das Auswahlfeld kann sich den letzten Zeitraum merken. Damit dann aber nicht auf allen Dialogen der gleiche zeitraum vorausgewaehlt ist, kann man hier einen individuellen Freitext-Token uebergeben, der als Key fuer das Speichern des zuletzt ausgewaehlten Zeitraumes verwendet wird. Ueberall dort, wo also der gleiche Token verwendet wird, wird auch der gleiche Zeitraum vorausgewaehlt. Der Text kann z.Bsp. "auswertungen" heissen. Wenn dieser auf allen Dialogen der Auswertungen verwendet wird, wird dort dann auch ueberall der gleiche Zeitraum vorausgewaehlt sein.

Parameters:
  `s` - der Restore-Token.

### getValue

public Object getValue()
Ueberschrieben, damit wir "-1" fuer "Alle Umsaetze" liefern koennen.

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.ScaleInput`
See Also:
  - `ScaleInput.getValue()`

### getDefaultDays

public static final int getDefaultDays()
Liefert die Anzahl der standardmaessig anzuzeigenden Tage.

Returns:
  Standardmaessig anzuzeigende Tage.

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setValue` in class `de.willuhn.jameica.gui.input.ScaleInput`
See Also:
  - `ScaleInput.setValue(java.lang.Object)`